<?php
#   SGT - The SGT for Internet - http://sgt.eti.br
#   Copyright (c) 2016-2018, Jean Azevedo. All rights reserved.

#   This file is part of SGT.

#   SGT is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   any later version.

#   SGT is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.

#   You should have received a copy of the GNU General Public License
#   along with Foobar.  If not, see <http://www.gnu.org/licenses/>.

    include("../seguranca_adm.php");
    protegePagina();
    include "../conectar.php";
    include "../log_.php";
    date_default_timezone_set('America/Sao_Paulo');
    $hora = date('Y-m-d H:i:s', time());
    $user = $_SESSION['usuarioLogin'];
    $cod_c = $_POST['cod_c'];
    $unidade = $_POST['unidade'];
    $tipo = $_POST['tipo'];
    $modelo = $_POST['modelo'];
    $nserie = $_POST['nserie'];
    $daquise = $_POST['daquise'];
    $daquise = isset($_POST["daquise"]) ? $_POST["daquise"]: '';
    $daquise = date('Y-m-d', strtotime(str_replace('/','-',$daquise)));
    $garantia = isset($_POST["garantia"]) ? $_POST["garantia"]: '';
    $garantia = date('Y-m-d', strtotime(str_replace('/','-',$garantia)));
    $pmae = $_POST['pmae'];
    $proc = $_POST['proc'];
    $nproc = $_POST['nproc'];
    $ram = $_POST['ram'];
    $ram_clok = $_POST['ram_clok'];
    $hd = $_POST['hd'];
    $tipo_hd = $_POST['tipo_hd'];
    $desc_hd = $_POST['desc_hd'];
    $loja = $_POST['loja'];
    $nnota = $_POST['nnota'];
    $valor = $_POST['valor'];
    $valor_ = str_replace(',','.',str_replace('.','',$valor));
    $nptri = $_POST['nptri'];
    $desc_comp = $_POST['desc_tex_area'];
    $ativo = $_POST['ativo'];
    $ativo = (isset($_POST['ativo'])) ? 1 : 0;
    $_UP['pasta'] = '../up_n_comp/';
    $_UP['tamanho'] = 5242880;
    $_UP['extensoes'] = array('pdf');
    $_UP['renomeia'] = false;
    $_UP['erros'][0] = 'Não houve erro';
    $_UP['erros'][1] = 'O arquivo no upload é maior do que o limite do PHP';
    $_UP['erros'][2] = 'O arquivo ultrapassa o limite de tamanho especifiado no HTML';
    $_UP['erros'][3] = 'O upload do arquivo foi feito parcialmente';
    $_UP['erros'][4] = 'Não foi feito o upload do arquivo';
    $pdf_nome = $_FILES['arquivo']['name'];
    $pdf_separador = explode('.',$pdf_nome);
    $extensao = strtolower(end($pdf_separador));
    $busca_c = $pdo_sgt->prepare("SELECT * FROM tb_computadores WHERE cod_c=:cod_c");
    $busca_c->bindValue(":cod_c",$cod_c);
    $busca_c->execute();
    $dados_c = $busca_c->fetch(PDO::FETCH_ASSOC);
    $logarray_c = $dados_c['cod_c'];
    $busca_n = $pdo_sgt->prepare("SELECT * FROM tb_computadores WHERE nserie=:nserie");
    $busca_n->bindValue(":nserie",$nserie);
    $busca_n->execute();
    $dados_n = $busca_n->fetch(PDO::FETCH_ASSOC);
    $logarray_n = $dados_n['nserie'];
    $busca_np = $pdo_sgt->prepare("SELECT * FROM tb_computadores WHERE nptri=:nptri");
    $busca_np->bindValue(":nptri",$nptri);
    $busca_np->execute();
    $dados_np = $busca_np->fetch(PDO::FETCH_ASSOC);
    $logarray_np = $dados_np['nserie'];
    if($logarray_c == $cod_c){
        echo"<script language='javascript' type='text/javascript'>
            alert('Esse Cód. já existe!');
            window.history.go(-1)>Volta;
        </script>";
        die();
    }else{
        if($logarray_n == $nserie){
            echo"<script language='javascript' type='text/javascript'>
                alert('Este número de série já existe!');
                window.history.go(-1)>Volta;
            </script>";
            die();
        }else{
            if($logarray_np == $nptri){
                echo"<script language='javascript' type='text/javascript'>
                    alert('Este número de imobilizado já existe!');
                    window.history.go(-1)>Volta;
                </script>";
                die();
            }else{
                if ($pdf_nome != ""){
                    if (array_search($extensao, $_UP['extensoes']) === false) {
                        echo"<script language='javascript' type='text/javascript'>
                            alert('Por favor, envie arquivos com as seguintes extensões: pdf!');
                            window.history.go(-1)>Volta;
                        </script>";
                    } else {
                        if ($_UP['tamanho'] < $_FILES['arquivo']['size']) {
                            echo"<script language='javascript' type='text/javascript'>
                                alert('O arquivo enviado é muito grande, envie arquivos de até 5MB!');
                                window.history.go(-1)>Volta;
                            </script>";
                        } else {
                            $fim = 0;
                            $nome_final = $cod_c.'.'.$extensao;
                            if (move_uploaded_file($_FILES['arquivo']['tmp_name'], $_UP['pasta'] . $nome_final)) {
                                $f_url = 'up_n_comp/'.$nome_final;
                                $fim = 1;
                            }
                            if ($fim === 0) {
                                echo"<script language='javascript' type='text/javascript'>
                                    alert('Não foi possível enviar o arquivo, tente novamente!');
                                    window.history.go(-1)>Volta;
                                </script>";
                            }
                            $query = "INSERT
                                INTO tb_computadores (cod_c,unidade,tipo,modelo,nserie,daquise,garantia,pmae,proc,nproc,ram,ram_clok,hd,tipo_hd,desc_hd,loja,nnota,valor,nptri,desc_comp,ativo,f_url)
                                VALUES (:cod_c, :unidade, :tipo, :modelo, :nserie, :daquise, :garantia, :pmae, :proc, :nproc, :ram, :ram_clok, :hd, :tipo_hd, :desc_hd, :loja, :nnota, :valor, :nptri, :desc_comp, :ativo, :f_url)";
                            $cad_comp=$pdo_sgt->prepare("$query");
                            $cad_comp->bindValue(":cod_c",$cod_c);
                            $cad_comp->bindValue(":unidade",$unidade);
                            $cad_comp->bindValue(":tipo",$tipo);
                            $cad_comp->bindValue(":modelo",$modelo);
                            $cad_comp->bindValue(":nserie",$nserie);
                            $cad_comp->bindValue(":daquise",$daquise);
                            $cad_comp->bindValue(":garantia",$garantia);
                            $cad_comp->bindValue(":pmae",$pmae);
                            $cad_comp->bindValue(":proc",$proc);
                            $cad_comp->bindValue(":nproc",$nproc);
                            $cad_comp->bindValue(":ram",$ram);
                            $cad_comp->bindValue(":ram_clok",$ram_clok);
                            $cad_comp->bindValue(":hd",$hd);
                            $cad_comp->bindValue(":tipo_hd",$tipo_hd);
                            $cad_comp->bindValue(":desc_hd",$desc_hd);
                            $cad_comp->bindValue(":loja",$loja);
                            $cad_comp->bindValue(":nnota",$nnota);
                            $cad_comp->bindValue(":valor",$valor_);
                            $cad_comp->bindValue(":nptri",$nptri);
                            $cad_comp->bindValue(":desc_comp",$desc_comp);
                            $cad_comp->bindValue(":ativo",$ativo);
                            $cad_comp->bindValue(":f_url",$f_url);
                            $cad_comp->execute();
                            $mensagem = "Dados inceridos na tabela: tb_computadores - "
                                . "Para os campos: cod_c, unidade, tipo, modelo, nserie, daquise, garantia, pmae, proc , nproc, ram, ram_clok, hd, tipo_hd, desc_hd, loja, nnota, valor, nptri, desc_com, ativo, f_url - "
                                . "Com os seguintes valores: $cod_c, $unidade, $tipo, $modelo, $nserie, $daquise, $garantia, $pmae, $proc, $nproc, $ram, $ram_clok, $hd, $tipo_hd, $desc_hd, $loja, $nnota, $valor_, $nptri, $desc_comp, $ativo, $f_url.";
                            salvaLog($mensagem);
                            $busca_id = $pdo_sgt->prepare("SELECT * FROM tb_computadores WHERE cod_c=:cod_c");
                            $busca_id->bindValue(":cod_c",$cod_c);
                            $busca_id->execute();
                            $dados_id = $busca_id->fetch(PDO::FETCH_ASSOC);
                            $id_c = $dados_id['id'];
                            $des_oc = "Inserido no sistema.";
                            $query_oc = "INSERT INTO tb_oc_comp (dt,user_nome,cod_c,tipo,des) VALUES (:hora, :user, :id, :tipo, :des_oc)";
                            $oc_comp_set = $pdo_sgt->prepare($query_oc);
                            $oc_comp_set->bindValue(":hora",$hora);
                            $oc_comp_set->bindValue(":user",$user);
                            $oc_comp_set->bindValue(":id",$id_c);
                            $oc_comp_set->bindValue(":tipo",'4');
                            $oc_comp_set->bindValue(":des_oc",$des_oc);
                            $oc_comp_set->execute();
                            echo"<script language='javascript' type='text/javascript'>
                                window.location.href='list_comp.php';
                            </script>";
                        }
                    }
                } else {
                    $query = "INSERT
                        INTO tb_computadores (cod_c,unidade,tipo,modelo,nserie,daquise,garantia,pmae,proc,nproc,ram,ram_clok,hd,tipo_hd,desc_hd,loja,nnota,valor,nptri,desc_comp,ativo)
                        VALUES (:cod_c, :unidade, :tipo, :modelo, :nserie, :daquise, :garantia, :pmae, :proc, :nproc, :ram, :ram_clok, :hd, :tipo_hd, :desc_hd, :loja, :nnota, :valor, :nptri, :desc_comp, :ativo)";
                    $cad_comp=$pdo_sgt->prepare("$query");
                    $cad_comp->bindValue(":cod_c",$cod_c);
                    $cad_comp->bindValue(":unidade",$unidade);
                    $cad_comp->bindValue(":tipo",$tipo);
                    $cad_comp->bindValue(":modelo",$modelo);
                    $cad_comp->bindValue(":nserie",$nserie);
                    $cad_comp->bindValue(":daquise",$daquise);
                    $cad_comp->bindValue(":garantia",$garantia);
                    $cad_comp->bindValue(":pmae",$pmae);
                    $cad_comp->bindValue(":proc",$proc);
                    $cad_comp->bindValue(":nproc",$nproc);
                    $cad_comp->bindValue(":ram",$ram);
                    $cad_comp->bindValue(":ram_clok",$ram_clok);
                    $cad_comp->bindValue(":hd",$hd);
                    $cad_comp->bindValue(":tipo_hd",$tipo_hd);
                    $cad_comp->bindValue(":desc_hd",$desc_hd);
                    $cad_comp->bindValue(":loja",$loja);
                    $cad_comp->bindValue(":nnota",$nnota);
                    $cad_comp->bindValue(":valor",$valor_);
                    $cad_comp->bindValue(":nptri",$nptri);
                    $cad_comp->bindValue(":desc_comp",$desc_comp);
                    $cad_comp->bindValue(":ativo",$ativo);
                    $cad_comp->execute();
                    $mensagem = "Dados inceridos na tabela: tb_computadores - "
                        . "Para os campos: cod_c, unidade, tipo, modelo, nserie, daquise, garantia, pmae, proc , nproc, ram, ram_clok, hd, tipo_hd, desc_hd, loja, nnota, valor, nptri, desc_com, ativo - "
                        . "Com os seguintes valores: $cod_c, $unidade, $tipo, $modelo, $nserie, $daquise, $garantia, $pmae, $proc, $nproc, $ram, $ram_clok, $hd, $tipo_hd, $desc_hd, $loja, $nnota, $valor_, $nptri, $desc_comp, $ativo.";
                    salvaLog($mensagem);
                    $busca_id = $pdo_sgt->prepare("SELECT * FROM tb_computadores WHERE cod_c=:cod_c");
                    $busca_id->bindValue(":cod_c",$cod_c);
                    $busca_id->execute();
                    $dados_id = $busca_id->fetch(PDO::FETCH_ASSOC);
                    $id_c = $dados_id['id'];
                    $des_oc = "Inserido no sistema.";
                    $query_oc = "INSERT INTO tb_oc_comp (dt,user_nome,cod_c,tipo,des) VALUES (:hora, :user, :id, :tipo, :des_oc)";
                    $oc_comp_set = $pdo_sgt->prepare($query_oc);
                    $oc_comp_set->bindValue(":hora",$hora);
                    $oc_comp_set->bindValue(":user",$user);
                    $oc_comp_set->bindValue(":id",$id_c);
                    $oc_comp_set->bindValue(":tipo",'4');
                    $oc_comp_set->bindValue(":des_oc",$des_oc);
                    $oc_comp_set->execute();
                    echo"<script language='javascript' type='text/javascript'>
                        window.location.href='list_comp.php';
                    </script>";
                }
            }
        }
    }
?>